/**
 * $Id: TmHandler.java,v 1.3 2002/10/16 07:32:17 jerome Exp $
 *
 * Transmorpher
 *
 * Copyright (C) 2001-2002 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
  * Concatenate homogeneous XML file
  *
  * @author jerome.euzenat@inrialpes.fr
  * @date 22 06 2002
  * @see "SAX 2.0 & JDK 1.3"
*/

package fr.fluxmedia.transmorpher.TProcessFactory;

import org.xml.sax.ContentHandler;

public interface TmHandler extends ContentHandler{
    /** test if the merger is the current one? */
    abstract boolean isCurrent();
    
    /** set the curent attribut */
    abstract void setCurrent (boolean pCurrent);
} //end class
